Subject: Re: [PATCH] PowerMac: force only suspend-to-disk to be valid

From: Andrew Morton <[email-masked]>
Date: Thu, 25 May 2006 07:41:45 -0700

Johannes Berg <[email-masked]> wrote:
>
> This patch adds the .valid callback to pm_ops on PowerMac so that only the
>  suspend to disk state can be entered. Note that just returning 0 would
>  suffice since the upper layers don't pass PM_SUSPEND_DISK down, but we
>  handle it there regardless just in case that changes.

That's the "what" - please provide the "why":  what bug does this fix, and
what are the consequences of not having this patch?